Création d'une page de connexion
================================
![category](web)
![tag](design)
![tag](angularjs)

La page de connexion est surement un des éléments les plus
basique d'une application. Je donne içi un exemple de page de 
connexion réalisé avec **angularjs**, **font-awesome** et **angular-messages**

.. figure::  images/201512012019.png

Pré requis
----------

```bash
bower install angular-material
bower install angular-messages
bower install angular-fontawesome
bower install angular
```

Solution
--------

le fichier app/app.js

```javascript
var module = angular.module("MyPortailWifi", ['ngMessages', 
    'picardy.fontawesome',
    'ngMaterial'  
]);


// add theme
module.config(function($mdThemingProvider) {
    $mdThemingProvider.theme('default')
        .primaryPalette('orange')
        .accentPalette('green');
});


// add controler
module.controller('AppController', function($scope) {

    $scope.getInit = function() {
        //todo
    };

    $scope.valid = function() {
        //todo
        alert('click from ' + $scope.email);
    };

    // init data
    $scope.getInit();
});

```

le fichier css/mycss.css

```css

	    width: 380px;
	    margin: 4em auto;
	    padding: 3em 2em 2em 2em;
	    background: #fafafa;
	    border: 1px solid #ebebeb;
	    box-shadow: rgba(0,0,0,0.14902) 0px 1px 1px 0px,rgba(0,0,0,0.09804) 0px 1px 2px 0px;
    }

le fichier index.html

```html
<!doctype html>
<html lang="">

<head>
    <!-- general -->
    <meta charset="utf-8">
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="generator" content="Portail Wifi" />
    <title>Portail Wifi</title>
    <link rel="shortcut icon" href="favicon.ico" />

    <!-- Add to homescreen for Chrome on Android -->
    <meta name="mobile-web-app-capable" content="yes">
    <meta name="application-name" content="Portail Wifi">
    <link rel="icon" sizes="192x192" href="images/touch/icon_192x192.png">

    <!-- Add to homescreen for Safari on iOS -->
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <meta name="apple-mobile-web-app-title" content="Brasil">
    <link rel="apple-touch-icon" href="images/touch/icon_152x152.png">
    
    <!-- Tile icon for Win8 (144x144) -->
    <meta name="msapplication-TileImage" content="images/touch/icon_144x144.png">
    
    <!-- Angular -->
    <script src="bower_components/angular/angular.min.js"></script>
    <script src="bower_components/angular-messages/angular-messages.min.js"></script>
    <!-- Angular Material -->
    <script src="bower_components/angular-animate/angular-animate.min.js"></script>
    <script src="bower_components/angular-aria/angular-aria.min.js"></script>
    <script src="bower_components/angular-material/angular-material.min.js"></script>
    <link rel="stylesheet" href="bower_components/angular-material/angular-material.min.css" />
    <!-- Angular FontAwesome -->
    <link rel="stylesheet" href="bower_components/font-awesome/css/font-awesome.min.css">
    <script src="bower_components/angular-fontawesome/dist/angular-fontawesome.min.js"></script>
    
    <!-- MyBookCustomer application -->
    <script src="app/app.js"></script>
    <link rel="stylesheet" href="css/mycss.css" />

</head>

<body ng-app="MyPortailWifi" ng-controller="AppController">
    <div ng-controller="AppController" layout="column" layout-fill>
      <form name="formLogin">
        <md-input-container class="md-icon-float">
          <label>Name</label>
          <md-icon><fa name="user fa-lg"></fa></md-icon>
          <input ng-model="email" name="email" required role="alert">
        </md-input-container>
        
        <md-input-container class="md-icon-float">
          <label>Password</label>
          <md-icon><fa name="key fa-lg"></fa></md-icon>
          <input ng-model="password" required name="password">
        </md-input-container>
        <div layout="row">
        <div flex></div>
        <md-button class="md-fab" ng-click="valid()"><fa name="check fa-lg" aria-label="check"></fa></md-button>
        <div flex></div>
        </div>
      </form>
    </div>
    
</body>

</html>```
